# This file created by conda-build 3.24.0
# ------------------------------------------------

package:
  name: python
  version: 3.10.14
source:
  - git_rev: v3.10.14
    git_url: https://github.com/python/cpython.git
    patches:
      - patches/0001-Win32-Change-FD_SETSIZE-from-512-to-2048.patch
      - patches/0002-Win32-distutils-Add-support-to-cygwinccompiler-for-V.patch
      - patches/0003-Support-cross-compiling-byte-code.patch
      - patches/0004-bpo-45258-search-for-isysroot-in-addition-to-sysroot.patch
      - patches/0005-runtime_library_dir_option-Use-1st-word-of-CC-as-com.patch
      - patches/0006-Win32-Do-not-download-externals.patch
      - patches/0007-Fix-find_library-so-that-it-looks-in-sys.prefix-lib-.patch
      - patches/0008-bpo-22699-Allow-compiling-on-debian-ubuntu-with-a-di.patch
      - patches/0009-Disable-registry-lookup-unless-CONDA_PY_ALLOW_REG_PA.patch
      - patches/0010-Unvendor-openssl.patch
      - patches/0011-Unvendor-sqlite3.patch
      - patches/0012-Use-ranlib-from-env-if-env-variable-is-set.patch
      - patches/0013-Add-CondaEcosystemModifyDllSearchPath.patch
      - patches/0014-Add-d1trimfile-SRC_DIR-to-make-pdbs-more-relocatable.patch
      - patches/0015-Doing-d1trimfile.patch
      - patches/0016-cross-compile-darwin.patch
      - patches/0017-Fix-TZPATH-on-windows.patch
      - patches/0018-Make-dyld-search-work-with-SYSTEM_VERSION_COMPAT-1.patch
      - patches/0019-Fix-LDSHARED-when-CC-is-overriden-on-Linux-too.patch
      - patches/0020-Unvendor-bzip2.patch
      - patches/0021-Unvendor-libffi.patch
      - patches/0022-Unvendor-tcltk.patch
      - patches/0023-unvendor-xz.patch
      - patches/0024-unvendor-zlib.patch
      - patches/0025-Do-not-pass-g-to-GCC-when-not-Py_DEBUG.patch
      - patches/CVE-2023-27043.patch
      - patches/intel_build_py_with_pie.patch
      - patches/intel_distutil_build.patch
      - patches/intel_version_cprt.patch
build:
  activate_in_script: true
  detect_binary_files_with_prefix: true
  ignore_run_exports_from:
    - gxx_linux-64
  missing_dso_whitelist: null
  no_link: null
  number: 1
  skip_compile_pyc: null
  string: h16b9217_1
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.40 ha1999f0_1
    - binutils_linux-64 2.40 hdade7a5_3
    - gcc_impl_linux-64 13.2.0 h9eb54c0_7
    - gcc_linux-64 13.2.0 h1ed452b_3
    - gxx_impl_linux-64 13.2.0 h2a599c4_7
    - gxx_linux-64 13.2.0 he8deefe_3
    - kernel-headers_linux-64 2.6.32 he073ed8_17
    - ld_impl_linux-64 2.40 hf3520f5_1
    - libgcc-devel_linux-64 13.2.0 hceb6213_107
    - libgcc-ng 13.2.0 h77fa898_7
    - libgomp 13.2.0 h77fa898_7
    - libsanitizer 13.2.0 h6ddb7a1_7
    - libstdcxx-devel_linux-64 13.2.0 hceb6213_107
    - libstdcxx-ng 13.2.0 hc0a3c3a_7
    - libtool 2.4.7 h27087fc_0
    - libx11-common-cos6-x86_64 1.6.4 h9b0a68f_1105
    - libx11-cos6-x86_64 1.6.4 h9b0a68f_1105
    - libx11-devel-cos6-x86_64 1.6.4 h9b0a68f_1105
    - make 4.3 hd18ef5c_1
    - patch 2.7.6 h7f98852_1002
    - pkg-config 0.29.2 h36c2ea0_1008
    - sysroot_linux-64 2.12 he073ed8_17
    - xorg-x11-proto-devel-cos6-x86_64 7.7 h9b0a68f_1105
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 hd590300_5
    - ca-certificates 2024.2.2 hbcca054_0
    - ld_impl_linux-64 2.40 hf3520f5_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 13.2.0 h77fa898_7
    - libgomp 13.2.0 h77fa898_7
    - libnsl 2.0.1 hd590300_0
    - libsqlite 3.45.3 h2797004_0
    - libuuid 2.38.1 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.2.13 hd590300_5
    - ncurses 6.5 h59595ed_0
    - openssl 3.3.0 h4ab18f5_3
    - readline 8.2 h8228510_1
    - sqlite 3.45.3 h2c6b66d_0
    - tk 8.6.13 noxft_h4845f30_101
    - xz 5.2.6 h166bdaf_0
    - zlib 1.2.13 hd590300_5
  run:
    - bzip2 >=1.0.8,<2.0a0
    - libffi >=3.4,<4.0a0
    - libgcc-ng >=13
    - libnsl >=2.0.1,<2.1.0a0
    - libsqlite >=3.45.3,<4.0a0
    - libuuid >=2.38.1,<3.0a0
    - libxcrypt >=4.4.36
    - libzlib >=1.2.13,<1.3.0a0
    - ncurses >=6.5,<7.0a0
    - openssl >=3.3.0,<4.0a0
    - readline >=8.2,<9.0a0
    - tk >=8.6.13,<8.7.0a0
    - tzdata
    - xz >=5.2.6,<6.0a0
test:
  commands:
    - python -V
    - python3 -V
    - 2to3 -h
    - pydoc -h
    - python3-config --help
    - python -c "from zoneinfo import ZoneInfo; from datetime import datetime; dt
      = datetime(2020, 10, 31, 12, tzinfo=ZoneInfo('America/Los_Angeles')); print(dt.tzname())"
    - python -m venv test-venv
    - test-venv/bin/python -c "import ctypes"
    - python -c "import sysconfig; print(sysconfig.get_config_var('CC'))"
    - _CONDA_PYTHON_SYSCONFIGDATA_NAME=_sysconfigdata_x86_64_conda_cos6_linux_gnu
      python -c "import sysconfig; print(sysconfig.get_config_var('CC'))"
    - for f in ${CONDA_PREFIX}/lib/python*/_sysconfig*.py; do echo "Checking $f:";
      if [[ `rg @ $f` ]]; then echo "FAILED ON $f"; cat $f; exit 1; fi; done
    - test ! -f ${PREFIX}/lib/libpython${PKG_VERSION%.*}.a
    - test ! -f ${PREFIX}/lib/libpython${PKG_VERSION%.*}.nolto.a
    - pushd tests
    - pushd distutils
    - python setup.py install -v -v
    - python -c "import foobar"
    - popd
    - pushd prefix-replacement
    - bash build-and-test.sh
    - popd
    - pushd cmake
    - cmake -GNinja -DPY_VER=3.10.14
    - popd
    - popd
    - python run_test.py
    - test -d "$PREFIX/lib/python3.1/site-packages"
    - python3.1 --version
    - python -c "from ctypes import CFUNCTYPE; CFUNCTYPE(None)(id)"
    - python -c "import crypt"
  files:
    - run_test.py
    - tests/cmake/*
    - tests/cython/*
    - tests/distutils/*
    - tests/prefix-replacement/*
  requires:
    - cmake
    - gcc_linux-64
    - gxx_linux-64
    - ninja
    - ripgrep
about:
  description: '<strong>LEGAL NOTICE: Use of this software package is subject to the

    software license agreement (as set forth above, in the license section of

    the installed Conda package and/or the README file) and all notices,

    disclaimers or license terms for third party or open source software

    included in or with the software.</strong>

    <br/><br/>

    EULA: <a href="https://docs.python.org/3/license.html" target="_blank">Python-2.0</a>

    <br/><br/>

    '
  dev_url: https://docs.python.org/devguide/
  doc_source_url: https://github.com/python/pythondotorg/blob/master/docs/source/index.rst
  doc_url: https://www.python.org/doc/versions/
  home: https://www.python.org/
  license: Python-2.0
  license_file: LICENSE
  summary: General purpose programming language
extra:
  copy_test_source_files: true
  final: true
  remote_url: https://github.com/intel-innersource/libraries.python.intel.condarecipes.python-310-recipe
  sha: 401d287bf377261f126dd2d5282ceaf22513b5d5
